#include <stdio.h>
#include <math.h>
#include <stdlib.h>
#include <string.h> 

#define   DT        0.01      // Time Step for solving integral eq. (hour)
#define   Th      -0.242      // Theta: Kernel parameter
#define   WIN          4      // Window for estimating p_T
#define   DIM          4      // # parameters: p(t)


struct data_rt{     // Struct: Retweet Data
  int      num;     //    #Events
  int      *n_i;    //    #Followers of each retweetor
  double   *t_sp;   //    Time of each retweet
};

// Memory kernel: phi_t and its integral: h_t.
double calc_phi( double t, double c0, double s0);
double calc_ht( double t, double c0, double s0);
double calc_gt( double t, double s0, struct data_rt data );

// Solving Linear Equation (Lapack)
int dgesv_(long *, long *, double *, long * , long *, double *, long *, long *);

