// Predict Retweet activity using TiDeH:
//   Sub-rootins: Memory kernels
#include "TiDeH.h" 

// Memory kernel: phi_t
double calc_phi( double t, double c0, double s0);

double calc_gt( double t, double s0, struct data_rt data )
{
  int  i;     double  c0= 1.0/s0/ (1- 1.0/Th), g_t= 0;  
  
  for (i=0; i< data.num; i++)
    {  g_t += data.n_i[i]*  calc_phi( t-data.t_sp[i], c0, s0);  }
  return  g_t;
}

double calc_ht( double t, double c0, double s0)
{  
  double  h_t;    
  
  if ( t <= 0 )         {  h_t= 0;      }  
  else if ( t < s0 )    {  h_t= c0* t;  }
  else                  {  h_t= c0* ( s0- pow( s0, 1-Th)* ( pow( s0, Th)- pow(t, Th) )/Th );  }
  
  return h_t;
}


double calc_phi( double t, double c0, double s0)
{ 
  double  phi_t;    
  
  if      ( t < 0 )    {  phi_t= 0;    }  
  else if ( t < s0 )    {  phi_t= c0;  }
  else                  {  phi_t= c0*  pow( t/s0, Th-1);   }
  
  return phi_t;
}
